QueryPackage(3z)

NAME
QueryPackage - open a shared library/package

SYNOPSIS
#include <z88.h>

bool_t QueryPackage(char package, char major , char minor);

DESCRIPTION
The QueryPackage() function checks and makes available for use the shared package package with a version of at least minor.minor

The function initially checks for the presence of the package subsystem and then proceeds to check for the specified package.

Version checking can be disabled by specifying minor and major to be 0.

RETURN VALUE
The QueryPackage() function returns 0 on failure or 1 on success. The carry flag is set accordingly and thus the non-standard iferror { ... } construct can be used to check for success.